## ligolo-ng 0.8.2

=== Makefile ===
export GO111MODULE=on

VERSION=$(shell date +"%Y.%m.%d")

BUILD=$(shell git rev-parse HEAD)
BASEDIR=./dist

LDFLAGS=-ldflags "-s -w -X main.build=${BUILD} -buildid=${BUILD}"
GCFLAGS=-gcflags=all=-trimpath=$(shell echo ${HOME})
ASMFLAGS=-asmflags=all=-trimpath=$(shell echo ${HOME})

GOFILES=`go list -buildvcs=false ./...`
GOFILESNOTEST=`go list -buildvcs=false ./... | grep -v test`

# Make Directory to store executables
$(shell mkdir -p ${BASEDIR})

# goreleaser build --config .goreleaser.yml --rm-dist --skip-validate
all: linux windows
	@chmod +x dist/*

mac: lint
	@env CGO_ENABLED=0 GOOS=darwin GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${BASEDIR}/ligolo-ng-proxy-darwin_amd64 cmd/proxy/main.go
	@env CGO_ENABLED=0 GOOS=darwin GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${BASEDIR}/ligolo-ng-agent-darwin_amd64 cmd/agent/main.go

linux: lint
	@env CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${BASEDIR}/ligolo-ng-proxy-linux_amd64 cmd/proxy/main.go
	@env CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${BASEDIR}/ligolo-ng-agent-linux_amd64 cmd/agent/main.go

windows: lint
	@env CGO_ENABLED=0 GOOS=windows GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${BASEDIR}/ligolo-ng-proxy-windows_amd64.exe cmd/proxy/main.go
	@env CGO_ENABLED=0 GOOS=windows GOARCH=amd64 go build -trimpath ${LDFLAGS} ${GCFLAGS} ${ASMFLAGS} -o ${BASEDIR}/ligolo-ng-agent-windows_amd64.exe cmd/agent/main.go

tidy:
	@go mod tidy

update: tidy
	@go get -v -d ./...
	@go get -u all

dep: ## Get the dependencies
	@go install github.com/goreleaser/goreleaser
	@go install github.com/securego/gosec/v2/cmd/gosec@latest

lint: ## Lint the files
	@env CGO_ENABLED=0 go fmt ${GOFILES}
	@env CGO_ENABLED=0 go vet ${GOFILESNOTEST}

security:
	@gosec -tests ./...

release:
	@goreleaser release --config .github/goreleaser.yml

clean:
	@rm -rf ${BASEDIR}

terminal_proxy:
	go run cmd/proxy/main.go -selfcert

terminal_agent:
	go run cmd/agent/main.go -connect localhost:11601 -ignore-cert


.PHONY: all linux windows tidy update dep lint security release clean terminal

=== debian/changelog ===
ligolo-ng (0.8.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.8.2

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 20 Jun 2025 10:31:52 +0200

ligolo-ng (0.8.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.8.1

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 08 May 2025 09:28:42 +0200

ligolo-ng (0.7.5-0kali1) kali-dev; urgency=medium

  * New upstream version 0.7.5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 09 Jan 2025 09:01:51 +0100

ligolo-ng (0.6.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.6.2

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 10 Jul 2024 11:25:39 +0200

ligolo-ng (0.6.1-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Daniel Ruiz de Alegría ]
  * New upstream version 0.6.1

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 25 Jun 2024 11:20:50 +0200

ligolo-ng (0.5.2-0kali2) kali-dev; urgency=medium

  * Add ci files
  * Add allow-stderr to test restrictions
  * Limit build to only amd64 and arm64 architectures
  * ci: Disable 32bit builds

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 05 Mar 2024 11:32:46 +0100

ligolo-ng (0.5.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 04 Mar 2024 20:16:58 +0100

=== debian/control ===
Source: ligolo-ng
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 golang-go,
Standards-Version: 4.6.2
Homepage: https://github.com/nicocha30/ligolo-ng
Vcs-Browser: https://gitlab.com/kalilinux/packages/ligolo-ng
Vcs-Git: https://gitlab.com/kalilinux/packages/ligolo-ng.git

Package: ligolo-ng
Architecture: amd64 arm64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Advanced, yet simple, tunneling/pivoting tool that uses a TUN interface
 Ligolo-ng is a simple, lightweight and fast tool that allows pentesters to
 establish tunnels from a reverse TCP/TLS connection using a tun interface
 (without the need of SOCKS).

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	GOPATH=$(CURDIR)/vendor_agent GOCACHE=$(CURDIR)/vendor_agent go build -o agent cmd/agent/main.go
	GOPATH=$(CURDIR)/vendor_proxy GOCACHE=$(CURDIR)/vendor_proxy go build -o proxy cmd/proxy/main.go

override_dh_auto_install:
	cp agent debian/ligolo-ng/usr/bin/ligolo-agent
	cp proxy debian/ligolo-ng/usr/bin/ligolo-proxy

override_dh_dwz:

=== debian/tests/control ===
Test-Command: ligolo-agent -h
Restrictions: superficial, allow-stderr

Test-Command: ligolo-proxy -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ligolo-ng-$1.tar.gz%" \
   https://github.com/nicocha30/ligolo-ng/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ligolo-ng 0.8.3

=== debian/changelog ===
ligolo-ng (0.8.3-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)

  [ Daniel Ruiz de Alegría ]
  * New upstream version 0.8.3
  * Update debian/watch to version 5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 27 Feb 2026 09:18:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders:
  Daniel Ruiz de Alegría <daniruiz@kali.org>,
-Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
  debhelper-compat (= 13),
  golang-go,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/nicocha30/ligolo-ng
 Vcs-Browser: https://gitlab.com/kalilinux/packages/ligolo-ng
 Vcs-Git: https://gitlab.com/kalilinux/packages/ligolo-ng.git

=== debian/watch ===
Version: 5

Template: Github
Owner: nicocha30
Project: ligolo-ng
Update-Script: uupdate
